<?php

/*
  Plugin Name: Tickera - Event Name on the Cart Page
  Plugin URI: http://tickera.com/
  Description: Adds event name on the cart page above the ticket type label.
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/
  Copyright 2017 Tickera (http://tickera.com/)
 */



add_action('tc_before_checkout_owner_info_ticket_title', 'tc_event_name_before_ticket_type_name', 10, 1);

function tc_event_name_before_ticket_type_name( $ticket_type_id ) {
$event_id	= get_post_meta($ticket_type_id, 'event_name', true);
$event	= new TC_Event( $event_id );
?>
<h2><?php echo $event->details->post_title; ?></h2>
<?php
}